## pooch 1.6.0

=== Makefile ===
# Build, package, test, and clean
PROJECT=pooch
TESTDIR=tmp-test-dir-with-unique-name
PYTEST_ARGS=--cov-config=../.coveragerc --cov-report=term-missing --cov=$(PROJECT) --doctest-modules -v --pyargs
LINT_FILES=$(PROJECT)
CHECK_STYLE=doc/conf.py $(PROJECT) tools

help:
	@echo "Commands:"
	@echo ""
	@echo "  install   install in editable mode"
	@echo "  test      run the test suite (including doctests) and report coverage"
	@echo "  format    automatically format the code"
	@echo "  check     run code style and quality checks"
	@echo "  lint      run pylint for a deeper (and slower) quality check"
	@echo "  build     build source and wheel distributions"
	@echo "  clean     clean up build and generated files"
	@echo ""

build:
	python -m build .

install:
	python -m pip install --no-deps -e .

test:
	# Run a tmp folder to make sure the tests are run on the installed version
	mkdir -p $(TESTDIR)
	cd $(TESTDIR); pytest $(PYTEST_ARGS) $(PROJECT)
	cp $(TESTDIR)/.coverage* .
	rm -r $(TESTDIR)

format: license black

check: black-check license-check flake8

black:
	black $(CHECK_STYLE)

black-check:
	black --check $(CHECK_STYLE)

license:
	python tools/license_notice.py

license-check:
	python tools/license_notice.py --check

flake8:
	flake8 $(CHECK_STYLE)

lint:
	pylint --jobs=0 $(LINT_FILES)

clean:
	find . -name "*.pyc" -exec rm -v {} \;
	find . -name "*.orig" -exec rm -v {} \;
	find . -name ".coverage.*" -exec rm -v {} \;
	rm -rvf build dist MANIFEST *.egg-info __pycache__ .coverage .cache .pytest_cache $(PROJECT)/_version.py
	rm -rvf $(TESTDIR) dask-worker-space

=== doc/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXAUTOGEN = sphinx-autogen
BUILDDIR      = _build

# Internal variables.
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees  $(SPHINXOPTS) .

.PHONY: help clean html linkcheck doctest api

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  all        generate the complete webpage"
	@echo "  html       make only the HTML files from the existing rst sources"
	@echo "  linkcheck  check all external links for integrity"
	@echo "  doctest    run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/html/*
	rm -rf $(BUILDDIR)/doctrees
	rm -rf $(BUILDDIR)/linkcheck
	rm -rf api/generated
	rm -rf gallery
	rm -rf tutorials
	rm -rf sample_data
	rm -rf .ipynb_checkpoints

api:
	@echo
	@echo "Building API docs."
	@echo
	$(SPHINXAUTOGEN) -i -t _templates -o api/generated api/index.rst

html: api
	@echo
	@echo "Building HTML files."
	@echo
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

linkcheck: api
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

serve:
	cd $(BUILDDIR)/html && python -m http.server 8001

=== debian/changelog ===
pooch (1.6.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 13:53:39 +0000

pooch (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - build depend on pybuild-plugin-pyproject.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 25 Jan 2022 08:04:41 +0000

pooch (1.5.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Nov 2021 14:08:16 +0000

pooch (1.4.0-1) unstable; urgency=low

  * Initial version (Closes: #987897).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Aug 2021 07:47:58 +0000

=== debian/control ===
Source: pooch
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-appdirs,
               python3-packaging,
               python3-paramiko,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-setuptools-scm,
               python3-tqdm
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pooch
Vcs-Git: https://salsa.debian.org/debian-gis-team/pooch.git
Homepage: https://github.com/fatiando/pooch
Rules-Requires-Root: no

Package: python3-pooch
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-tqdm
Suggests: python3-paramiko
Description: Tools to manage Python library's data files
 Pooch manages a data registry by downloading your data files
 from a server only when needed and storing them locally in a data
 cache (a folder on your computer).
 .
 Pooch's main features:
  * Pure Python and minimal dependencies.
  * Download a file only if necessary (it's not in the data cache or
    needs to be updated).
  * Verify download integrity through SHA256 hashes (also used to check
    if a file needs to be updated).
  * Designed to be extended: plug in custom download (FTP, scp, etc)
    and post-processing (unzip, decompress, rename) functions.
  * Includes utilities to unzip/decompress the data upon download to
    save loading time.
  * Can handle basic HTTP authentication (for servers that require a
    login) and printing download progress bars.
  * Easily set up an environment variable to overwrite the data cache
    location.
  * Automatically download your data files so you don't have to keep
    them in your GitHub repository.
  * Make sure everyone running the code has the same version of the
    data files (enforced through the SHA256 hashes).

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_NAME=pooch
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pooch/_version.py
	$(RM) -r pooch.egg-info/

## pooch 1.7.0

=== debian/changelog ===
pooch (1.7.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - updated dependencies (appdirs replaced by platformdirs).
  * debian/copyright:
    - update copyright dates.
  * Update filenames in d/python3-pooch.docs.
  * Bump debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 16:48:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-appdirs,
                python3-packaging,
                python3-paramiko,
+               python3-platformdirs,
                python3-pytest,
                python3-requests,
                python3-setuptools,
                python3-setuptools-scm,
                python3-tqdm
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pooch
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pooch.git
 Homepage: https://github.com/fatiando/pooch

## pooch 1.8.0

=== debian/changelog ===
pooch (1.8.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Remove generated files in clean target.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Use <!nocheck> marker.
    - Switch to autopkgtest-pkg-pybuild.
    - Add build-dependency on python3-pytest-httpserver.
  * Update debian/python3-pooch.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Oct 2023 09:32:08 +0000

## pooch 1.8.1

=== debian/changelog ===
pooch (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copytight.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 21 Feb 2024 07:24:08 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-packaging,
                python3-paramiko,
                python3-platformdirs,
-               python3-pytest,
+               python3-pytest <!nocheck>,
+               python3-pytest-httpserver <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-setuptools-scm,

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_NAME=pooch
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

## pooch 1.8.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 TESTDIR=tmp-test-dir-with-unique-name
 PYTEST_ARGS=--cov-config=../.coveragerc --cov-report=term-missing --cov=$(PROJECT) --doctest-modules -v --pyargs
 LINT_FILES=$(PROJECT)
-CHECK_STYLE=doc/conf.py $(PROJECT) tools
+CHECK_STYLE=$(PROJECT) doc
 
 help:
 	@echo "Commands:"
@@ -30,23 +30,17 @@
 	cp $(TESTDIR)/.coverage* .
 	rm -r $(TESTDIR)
 
-format: license black
+format:
+	black $(CHECK_STYLE)
+	burocrata --extension=py $(CHECK_STYLE)
 
-check: black-check license-check flake8
+check: check-format check-style
 
-black:
-	black $(CHECK_STYLE)
+check-format:
+	black --check $(CHECK_STYLE)
+	burocrata --check --extension=py $(CHECK_STYLE)
 
-black-check:
-	black --check $(CHECK_STYLE)
-
-license:
-	python tools/license_notice.py
-
-license-check:
-	python tools/license_notice.py --check
-
-flake8:
+check-style:
 	flake8 $(CHECK_STYLE)
 
 lint:

=== debian/changelog ===
pooch (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - New 0001-Package-data.patch.
    - New 0002-Package-discovery.patch.
  * debian/rules:
    - Enable tests (excluding the ones using the network).
  * debian/control:
    - Add dependency on python3-xxhash.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Jun 2024 09:36:19 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-requests,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-tqdm
+               python3-tqdm,
+               python3-xxhash
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pooch
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pooch.git

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_NAME=pooch
export PYBUILD_TEST_ARGS=-m "not network" -k "not test_check_availability_on_ftp" --pyargs pooch

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pooch)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pooch-$1.$2/ \
https://github.com/fatiando/pooch/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pooch)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pooch 1.9.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Build, package, test, and clean
 PROJECT=pooch
 TESTDIR=tmp-test-dir-with-unique-name
-PYTEST_ARGS=--cov-config=../.coveragerc --cov-report=term-missing --cov=$(PROJECT) --doctest-modules -v --pyargs
+PYTEST_ARGS=--cov-config=../.coveragerc --cov-report=term-missing --cov=$(PROJECT) --doctest-modules -v --pyargs $(PYTEST_ARGS_EXTRA)
 LINT_FILES=$(PROJECT)
 CHECK_STYLE=$(PROJECT) doc
 
@@ -34,7 +34,7 @@
 	black $(CHECK_STYLE)
 	burocrata --extension=py $(CHECK_STYLE)
 
-check: check-format check-style
+check: check-format check-style check-types
 
 check-format:
 	black --check $(CHECK_STYLE)
@@ -42,6 +42,9 @@
 
 check-style:
 	flake8 $(CHECK_STYLE)
+
+check-types:
+	mypy $(CHECK_STYLE)
 
 lint:
 	pylint --jobs=0 $(LINT_FILES)

=== debian/changelog ===
pooch (1.9.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.3, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copydight.
  * debian/patches:
    - Drop 0001-Package-data.patch.
    - Refresh and renumber remaining patches.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Feb 2026 20:53:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pooch
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Testsuite: autopkgtest-pkg-pybuild
@@ -19,11 +18,10 @@
                python3-setuptools-scm,
                python3-tqdm,
                python3-xxhash
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pooch
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pooch.git
 Homepage: https://github.com/fatiando/pooch
-Rules-Requires-Root: no
 
 Package: python3-pooch
 Architecture: all
